Bug 1006192 - can't start vm after updating libvirt to 0.10.2-18.el6_4.10
can't start vm after updating libvirt to 0.10.2-18.el6_4.10
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
3.3.0
Unspecified Unspecified
urgent Severity urgent
: ---
: 3.3.0
Assigned To: Eduardo Warszawski
storage
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-10 03:53 EDT by Ohad Basan
Modified: 2016-02-10 12:13 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-15 03:22:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ohad Basan 2013-09-10 03:53:01 EDT
Description of problem:

right after updating the ci machines to libvirt-0.10.2-18.el6_4.10.x86_64
I am seeing a new error that libvirt throws.

Thread-226:EBUG::2013-09-09 16:59:16,522::vm::2104::vm.Vm:_startUnderlyingVm) vmId=`09e5ca28-4146-49ed-9d7e-41cf9c10648b`::_ongoingCreations released
Thread-226::ERROR::2013-09-09 16:59:16,523::vm::2130::vm.Vm:_startUnderlyingVm) vmId=`09e5ca28-4146-49ed-9d7e-41cf9c10648b`::The vm start process failed
Traceback (most recent call last):
  File "/usr/share/vdsm/vm.py", line 2090, in _startUnderlyingVm
    self._run()
  File "/usr/share/vdsm/vm.py", line 2955, in _run
    self._connection.createXML(domxml, flags),
  File "/usr/lib64/python2.6/site-packages/vdsm/libvirtconnection.py", line 76, in wrapper
    ret = f(*args, **kwargs)
  File "/usr/lib64/python2.6/site-packages/libvirt.py", line 2645, in createXML
    if ret is None:raise libvirtError('virDomainCreateXML() failed', conn=self)
libvirtError: internal error unsupported configuration: Read/write, exclusive access, disks were present, but no leases specified
Thread-226:EBUG::2013-09-09 16:59:16,526::vm::2520::vm.Vm:setDownStatus) vmId=`09e5ca28-4146-49ed-9d7e-41cf9c10648b`::Changed state to Down: internal error unsupported configuration: Read/write, exclusive ac
cess, disks were present, but no leases specified
Comment 1 Dan Kenigsberg 2013-09-10 07:34:38 EDT
This sounds more related to recent sanlock and prepare changes.

Which version of Vdsm are you using? If you use the very same version Vdsm, but downgrade libvirt, would the problem go away?
Comment 2 Ohad Basan 2013-09-15 03:22:34 EDT
I think it was some dirt in my env
I don't see that anymore.

Note You need to log in before you can comment on or make changes to this bug.